/* ============================================================================
   COMPTE CLIENT - AUTHENTICATION & DASHBOARD
   ============================================================================ */

/* --------------------------------------------------------------------------
   AUTHENTICATION PAGE
   -------------------------------------------------------------------------- */

.page-authentication #content {
  max-width: 43.75rem;
  margin: 0 auto;
  padding: 1.375rem 0 3.125rem 0;
  background-color: var(--color-white);
}

.authentication-title {
  /* font-size: 1.375rem;
  line-height: 1.75rem;
  font-weight: 400;
  text-align: center;
  color: var(--color-black);
  margin-bottom: 2.5rem; */
  text-align: start;
  color: var(--color-black);
  font-size: 1rem;
  line-height: 1.5rem;
  display: block;
  font-family: var(--ffMRe);
  margin-bottom: 22px;
}

#authentication h1:not(.authentication-title) {
    font-size: 2.25rem;
    line-height: 2.5rem;
    margin-bottom: unset;
    display: block;
    text-transform: uppercase;

    max-width: 43.75rem;
    margin: 0 auto;
}

#authentication .page-header {
  margin-bottom: unset;
}

@media (max-width: 768px) {
  .authentication-title {
    font-family: var(--ffMRe);
    font-size: .875rem;
    line-height: 1.125rem;
    margin-bottom: 1.25rem;
    text-align: start;
  }
}

/* --------------------------------------------------------------------------
   LOGIN FORM
   -------------------------------------------------------------------------- */

.login-form {
  margin-top: 0;
}

.input-group {
  outline: none !important;
}

.form-group.row {
  margin-inline: 0 !important;
  display: grid;
  grid-template-columns: 9.375rem 1fr;
  align-items: center;
  gap: 0 1.25rem;
}

#authentication .form-group.row {
  display: flex;
  flex-direction: column;
}

.form-group .form-control-label,
.form-group .js-input-column,
.form-group .form-control-comment {
  margin-bottom: 0;
  padding: 0;
  float: none;
  width: 100%;
}

.form-group .form-control-label {
  font-size: 0.875rem;
  line-height: 1.125rem;
  font-weight: 400;
  color: var(--color-black);
}


#authentication .form-group .form-control-label {
  text-align: start;
    color: var(--color-black);
    font-family: var(--ffMBo);
    margin: 0px 0px 20px 0px;
    font-size: 1rem;
    line-height: 1.5rem;
    font-weight: 600;
    display: block;
}

#authentication .form-control {
  border: 1px solid var(--color-dark-grey)!important;
}

#authentication .form-control:focus,
#authentication .form-control:hover,
#authentication .form-control:focus + .input-group-btn,
#authentication .form-control:hover + .input-group-btn {
  outline: 1px solid var(--color-black) !important;
}

.form-group .form-control-comment {
  grid-column: 2/4;
  padding-top: 0.5rem;
  color: var(--color-dark-grey);
}

@media (max-width: 768px) {
  .form-group.row {
    grid-template-columns: 1fr;
    gap: 0.3125rem;
  }

  .form-group .form-control-comment {
    grid-column: initial;
  }

  .form-group .form-control-label {
    text-align: start;
  }
}

/* --------------------------------------------------------------------------
   FORM CONTROLS
   -------------------------------------------------------------------------- */

.form-control {
  background: none !important;
  border: solid 1px var(--color-light-grey) !important;
  width: 100%;
  padding: 0.625rem 1.25rem;
  outline: none !important;
}

.form-control,
.form-control::placeholder {
  color: var(--color-black) !important;
  font-size: 0.875rem !important;
  line-height: 1.25rem !important;
}

.custom-checkbox input[type=checkbox]+span {
  border: 1px solid var(--color-black);
  background-color: var(--color-white);
}

.form-footer .btn-primary {
  margin-left: 175px;
}

.form-control:focus,
.form-control:hover {
  border-color: var(--color-primary) !important;
  outline: 1px solid var(--color-black) !important;
}

.input-group .input-group-btn > .btn {
  background-color: var(--color-primary) !important;
  color: #fff;
  font-size: 0.75rem;
  line-height: 1rem;
  text-transform: uppercase;
  padding: 0.625rem 0.9375rem !important;
  border: none;
  border-radius: 0;
  outline: none !important;
}

@media (min-width: 769px) {
  .input-group .input-group-btn > .btn:hover {
    background-color: var(--color-secondary) !important;
  }
}


@media (width < 769px) {
  .form-footer .btn-primary {
    margin-inline: auto;
  }
}

/* --------------------------------------------------------------------------
   FORGOT PASSWORD & NO ACCOUNT
   -------------------------------------------------------------------------- */

.forgotten-password a,
.no-account a {
  color: var(--color-primary);
  font-size: 0.875rem;
  line-height: 1.25rem;
}

.no-account {
  margin-top: 2.5rem;
}

.no-account p {
  margin-bottom: 0.3125rem;
}

.password-title {
  color: var(--color-black);
}

.forgotten-password .form-fields > .form-group > * {
  width: fit-content!important;
}

.forgotten-password .form-fields .email input {
  width: 20vw;
}

.forgotten-password .form-fields label.required {
  display: flex;
  align-items: center;
}

.forgotten-password .form-fields .center-email-fields {
  justify-content: flex-start;
  gap: 24px;
}

.forgotten-password .form-fields > .form-group > .btn {
  padding: 0 16px;
}

@media (width < 1201px) {
  .forgotten-password .form-fields .email input {
    width: 50vw;
  }
}

@media (min-width: 769px) {
  .forgotten-password a:hover,
  .no-account a:hover {
    color: var(--color-secondary);
    text-decoration: underline;
  }
}

@media (width < 769px) {
  .forgotten-password .form-fields .email input {
    width: 80vw;
  }
  
  .forgotten-password .form-fields > .form-group > * {
    padding-inline: unset;
  }

  .forgotten-password .form-fields > .form-group > .btn {
    margin: unset;
  }
}

/* --------------------------------------------------------------------------
   SUBMIT BUTTON
   -------------------------------------------------------------------------- */

#submit-login {
  margin-inline: auto;
  width: 100%;
  max-width: 15.625rem;
}

/* --------------------------------------------------------------------------
   DASHBOARD WRAPPER
   -------------------------------------------------------------------------- */

#authentication #wrapper,
#my-account #wrapper,
#history #wrapper,
#identity #wrapper,
#addresses #wrapper,
#address #wrapper,
#order-slip #wrapper,
#discount #wrapper,
#password #wrapper {
  padding-top: 1.875rem;
  padding-bottom: 6.25rem;
  min-height: 80vh;
}


#authentication #wrapper {
  padding-top: 14px;
}

/* --------------------------------------------------------------------------
   DASHBOARD CONTENT
   -------------------------------------------------------------------------- */

#my-account #content,
#history #content,
#identity #content,
#addresses #content,
#address #content,
#order-slip #content,
#discount #content {
  margin: 0 auto;
  padding: 3.125rem 0;
}

@media (max-width: 1024px) {
  .page-authentication #content,
  .page-password #content,
  #my-account #content,
  #history #content,
  #identity #content,
  #addresses #content,
  #address #content,
  #order-slip #content,
  #discount #content {
    padding: 1.25rem 0;
  }
}

/* --------------------------------------------------------------------------
   MY ACCOUNT TOP
   -------------------------------------------------------------------------- */

.my-account-top {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
  gap: 0.3125rem 1.25rem;
  margin-bottom: 2.8125rem;
}

.my-account-top p {
  margin-bottom: 0;
}

.my-account-top a {
  text-decoration: underline;
  text-underline-position: under;
  color: var(--color-primary);
}

@media (min-width: 769px) {
  .my-account-top a:hover {
    color: var(--color-secondary);
  }
}

/* --------------------------------------------------------------------------
   ACCOUNT LINKS GRID
   -------------------------------------------------------------------------- */

.page-my-account #content .links {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 1.875rem;
  margin-bottom: 3.125rem;
  margin-inline: -15px;
}

.page-my-account #content .links a {
  padding: 1.25rem 0.9375rem 0.9375rem 0.9375rem;
  margin: 0;
  background-color: var(--color-white);
  text-transform: initial;
  text-align: initial;
  display: flex;
  flex-direction: column;
  width: 100%;
}

.page-my-account #content .links a i {
  display: none;
}

.page-my-account #content .links .split {
  display: grid;
  grid-template-rows: repeat(2, 1fr);
  gap: 1.875rem;
}

.page-my-account #content .links a span.link-item {
  padding: 0 0 0.3125rem 0;
  width: 100%;
  height: auto;
  border-bottom: 1px solid var(--color-dark-grey);
  font-size: 0.875rem;
  line-height: 1.125rem;
  font-weight: 500;
  text-transform: uppercase;
  text-align: left;
  color: var(--color-black);
  margin-bottom: 0.9375rem;
  background: none;
}

.page-my-account #content .links a span.link-content {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  flex-grow: 1;
}

.page-my-account #content .links a span.link-btn {
  font-size: 0.875rem;
  line-height: 1.125rem;
  font-weight: 400;
  text-align: right;
  text-decoration: underline;
  text-underline-position: under;
  color: var(--color-black);
  display: block;
}

@media (max-width: 1024px) {
  .page-my-account #content .links {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 767px) {
  .page-my-account #content .links {
    grid-template-columns: 1fr;
    gap: 1.25rem;
    margin-inline: unset;
  }

  .page-my-account #content .links a {
    padding: unset;
  }

  #history .orders .order {
    padding: 20px;
  }

  #history .orders .order > .row {
    display: flex;
  }

  #history .orders .order div[class*=col-xs-] {
    float: none;
  }

  .order-message-form .form-group.row [class*=col-md-] {
    float: none;
    padding-inline: unset;
  }
}

/* --------------------------------------------------------------------------
   LINKS & COLORS
   -------------------------------------------------------------------------- */

.page-authentication #content a,
.page-password #content a,
#my-account #content a,
#history #content a,
#identity #content a,
#addresses #content a,
#address #content a,
#order-slip #content a,
#discount #content a {
  color: var(--color-primary);
}

@media (min-width: 769px) {
  .page-authentication #content a:hover,
  .page-password #content a:hover,
  #my-account #content a:hover,
  #history #content a:hover,
  #identity #content a:hover,
  #addresses #content a:hover,
  #address #content a:hover,
  #order-slip #content a:hover,
  #discount #content a:hover {
    color: var(--color-secondary);
  }
}

/* --------------------------------------------------------------------------
   RADIO BUTTONS & ADDRESSES
   -------------------------------------------------------------------------- */

.custom-radio input[type=radio]:checked+span {
  background-color: var(--color-primary);
}

.page-addresses .address {
  background-color: var(--color-white);
}

/* --------------------------------------------------------------------------
   GDPR EXPORT BUTTONS
   -------------------------------------------------------------------------- */

.psgdprinfo17 #exportDataToCsv {
  margin-inline: 0;
}

.psgdprinfo17 #exportDataToPdf {
  margin-inline: 0;
  margin-top: 0.625rem;
}
